org.bdgenomics.cannoli.cli

# BedtoolsIntersectFnArgs

###
Related Doc: package cli

#### class BedtoolsIntersectFnArgs extends Args4jBase

Bedtools intersect function arguments.

Linear Supertypes
Args4jBase, AnyRef, Any
Known Subclasses
BedtoolsIntersectArgs
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BedtoolsIntersectFnArgs
2. Args4jBase
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BedtoolsIntersectFnArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var a: String

5. #### var addFiles: Boolean

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var b: String

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var doPrintUsage: Boolean

   Definition Classes
     Args4jBase

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### var executable: String

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### var image: String

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

22. #### var sorted: Boolean

23. #### var sudo: Boolean

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    Definition Classes
      AnyRef → Any

26. #### var useDocker: Boolean

27. #### var useSingularity: Boolean

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped